﻿/*! \file ControllerEditor.cs
 * \brief Controller for the unity inspector.
 */

using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEditor;
using System.IO;

[CustomEditor(typeof(Controller))]

/// <summary>
/// Edits values in inspector.
/// </summary>
public class ControllerEditor : Editor
{
    /// <summary>
    /// Imports file if GUI button is pressed. 
    /// </summary>
    public override void OnInspectorGUI()
    {
        DrawDefaultInspector();
        Controller controller = (Controller)target;

        if (GUILayout.Button("Select data file"))
        {
            string file = EditorUtility.OpenFilePanel("", "", "");
            controller.Import(file);
        }
    }
}
